BUILDER(1)

NAME
builder - Go continuous build client

SYNOPSIS
builder [flags] goos-goarch...

DESCRIPTION
If you wish to run a Go builder, please email golang-dev@googlegroups.com To run a builder: * Write the key ~gobuild/.gobuildkey
  You need to get it from someone who knows the key.
  You may also use a filename of the form .gobuildkey-$BUILDER if you
  wish to run builders for multiple targets. * Append your username and password googlecode.com credentials from
    https://code.google.com/hosting/settings
  to the buildkey file in the format "Username\nPassword\n".
  (This is for uploading tarballs to the project downloads section,
   and is an optional step.) * Run gobuilder

OPTIONS

-buildTimeout
    Maximum time to wait for builds and tests

-buildroot
    Directory under which to build

-cmd
    Build command (specify relative to go/src/)

-cmdTimeout
    Maximum time to wait for an external command

-commitInterval
    Time to wait between polling for new commits (0 disables commit poller)

-dashboard
    Go Dashboard Host

-fail
    fail all builds

-gccpath
    Path to download gcc from

-gcpath
    Path to download gc from

-parallel
    Build multiple targets in parallel

-release
    Build and upload binary release archives

-rev
    Build specified revision and exit

-tool
    Tool to build.

-v  verbose

AUTHOR

This manual page was written by Michael Stapelberg <stapelberg@debian.org>, for the Debian project (and may be used by others).